SIMPLE_ANIMAL_DEFINITIONS["eggmobile_eggman"] = {
  ["standing"] = {A}, 
  ["pain"] = {F},
  ["turn_left"] = {H},
  ["turn_right"] = {I},
  ["win"] = {K, K, K, K, K, K, K, K,
             L, L, L, L, L, L, L, L},
  ["drift_left"] = {M},
  ["drift_right"] = {N},
  ["spinout"] = {O},
  ["lose"] = {P, P, P, P, P, P, P, P,
             Q, Q, Q, Q, Q, Q, Q, Q},
  ["goal"] = {R},
  ["squish"] = {S}

}

function SIMPLE_ANIMAL_HELPERS.isGliding(mobj)
  return mobj.paragliding
end

function SIMPLE_ANIMAL_HOOKS.eggmobile_eggman_hook(mobj, sequences)
  if mobj.skin == "eggmobile_eggman"
    local helpers = _G["SIMPLE_ANIMAL_HELPERS"]
	
    if (sequences[1] == "goal")
      return
	elseif helpers.isTrickFailed(mobj)
	  return "spinout"
	elseif helpers.isSquished(mobj)
	 return "squish"
    elseif helpers.isFinished(mobj) and not (helpers.isSquished(mobj) or helpers.isSpinning(mobj) or helpers.isPained(mobj))
		if helpers.isLose(mobj)
      return "lose"
		elseif helpers.isWin(mobj)
	  return "win"
		else
	  return "stand"
		end
	elseif helpers.isTricking(mobj)
	  return "drift_left"
	elseif helpers.isSpinning(mobj)
	  return "spinout"
	elseif helpers.isPained(mobj)
	  return "pain"
	elseif helpers.isAirborne(mobj) and (helpers.isDriftingRight(mobj) or helpers.isDriftingLeft(mobj))
	  return "standing"
	elseif not (helpers.isPained(mobj) or helpers.isSpinning(mobj) or helpers.isTrickFailed(mobj) or helpers.isDriftingLeft(mobj) or helpers.isDriftingRight(mobj) or helpers.isTurningLeft(mobj) or helpers.isTurningRight(mobj))
	  return "standing"
	elseif helpers.isTurningLeft(mobj) and not (helpers.isPained(mobj) or helpers.isSpinning(mobj) or helpers.isTrickFailed(mobj) or helpers.isDriftingRight(mobj) or helpers.isDriftingLeft(mobj) or helpers.isFinished(mobj))
	  return "turn_left"
	elseif helpers.isTurningRight(mobj) and not (helpers.isPained(mobj) or helpers.isSpinning(mobj) or helpers.isTrickFailed(mobj) or helpers.isDriftingRight(mobj)  or helpers.isDriftingLeft(mobj) or helpers.isFinished(mobj))
	  return "turn_right"
	elseif helpers.isTricking(mobj)
	  return "drift_right"

	end
end
end